@echo off
set /P file="Enter the name of the file: " 
: start
choice /m "Does the folder have the same name as the file (only if folder is in shortcut directory): "
REM i.e. shortcut is C:short (in DOSBox) and file is C:\folder\file
REM say no if folder is c:\prog\folder\file or shortcut is in c:\short\short
if errorlevel 1 set folder=%file%
if errorlevel 2 set /P folder="Enter the name of the folder: "
choice /m "Do you want the shortcut to have the same name as the file"
if errorlevel 1 set shortcut=%file%
if errorlevel 2 set /P shortcut="Enter the name you want for the shortcut: "
choice /m "Is the file on the current drive"
if errorlevel 1 set drive=null
if errorlevel 2 set /P drive="Enter the correct drive letter: "
: write
if exist .\%shortcut%.bat goto error1
: override
echo @echo off >> %shortcut%.bat
if not %drive%==null echo %drive%:\ >> %shortcut%.bat
echo cd %folder% >> %shortcut%.bat 
echo %file% >> %shortcut%.bat 
echo cd \ >> %shortcut%.bat 
PING 1.1.1.1 -n 1 -w 500 >NUL
if not exist .\%shortcut%.bat goto error2
if not %drive%==null echo A shortcut to the file %file% in the folder %folder% on drive %drive%:\ with the name %shortcut%
if %drive%==null echo A shortcut to the file %file% in the folder %folder% with the name %shortcut%
echo To run %file% just type %shortcut%
goto again
REM error messages and codes 
: error1 
echo Error (1): There is already a file with the name %shortcut% in this folder
choice /m "overwrite file"
if not errorlevel 2 goto override
choice /m "chose another name for your shortcut"
if errorlevel 2 goto end 
if errorlevel 1 set /P shortcut="Enter the name you want for the shortcut: "
if errorlevel 1 goto write
: error2 
echo Error (2): File creation failed
goto end 
: again
choice /m "do you want to create another shortcut"
if errorlevel 2 goto end
goto start
: end 
pause